%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           plutovg
Version:        1.1.0
Release:        %mkrel 1
Summary:        Tiny 2D vector graphics library in C
License:        MIT AND FTL
Group:          System/Libraries
URL:            https://github.com/sammycage/plutovg
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         plutovg-samples.patch
Patch1:         plutovg-system-stb.patch
Patch2:         plutovg-lib-version-and-fix-prefix.patch

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  pkgconfig(stb)

%description
PlutoVG is a standalone 2D vector graphics library in C.

%package -n %{libname}
Summary:        Tiny 2D vector graphics library in C
Group:          System/Libraries

%description -n %{libname}
PlutoVG is a standalone 2D vector graphics library in C.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        samples
Summary:        Sample programs for %{name}

%description    samples
Sample programs that use %{name}.

%prep
%autosetup -p1

# Remove bundled stb:
#rm -fv source/%%{name}-stb-*.h

%build
%cmake -G Ninja \
       -DCMAKE_SKIP_RPATH=ON
%cmake_build

%install
%cmake_install

install -Dm 0755 %{_vpath_builddir}/examples/smiley %{buildroot}%{_bindir}/smiley

%check
%ctest
# At the moment there are no meson tests defined and the above command is a no-op,
# so run the sample program as a test:
#%%{_vpath_builddir}/examples/smiley

%files -n %{libname}
%license LICENSE source/FTL.TXT
%doc README.md
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/

%files samples
%{_bindir}/smiley


%changelog
* Tue Jun 10 2025 daviddavid <daviddavid> 1.1.0-1.mga10
+ Revision: 2190439
- initial package plutovg

